import request from '@/utils/request'

// 查询站点管理列表
export function listSite(query) {
  return request({
    url: '/base/site/list',
    method: 'get',
    params: query
  })
}

// 查询站点管理列表
export function listAllSite() {
  return request({
    url: '/base/site/listAll',
    method: 'get',
  })
}

// 查询站点管理详细
export function getSite(id) {
  return request({
    url: '/base/site/' + id,
    method: 'get'
  })
}

// 新增站点管理
export function addSite(data) {
  return request({
    url: '/base/site',
    method: 'post',
    data: data
  })
}

// 修改站点管理
export function updateSite(data) {
  return request({
    url: '/base/site',
    method: 'put',
    data: data
  })
}

// 删除站点管理
export function delSite(id) {
  return request({
    url: '/base/site/' + id,
    method: 'delete'
  })
}
